Page MenuHomePhabricator

encrypt fundraising kafka collector traffic
Closed, ResolvedPublic

Description

Kafka supports TLS in 0.9, not sure what that means in terms of kafkatee. Also consider ipsec tunnel, which is what we're doing now in production.

Event Timeline

Jgreen created this task.Aug 15 2016, 2:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 15 2016, 2:01 PM

It looks to me as though by upgrading librdkafka to 0.9.x we would gain TLS support for kafkatee and the fundraising pipeline, @Ottomata is that right?

Jgreen triaged this task as Medium priority.Sep 23 2016, 2:26 PM
Jgreen added a parent task: Restricted Task.Jul 11 2017, 8:54 PM
Jgreen removed Jgreen as the assignee of this task.Jul 11 2017, 9:05 PM
Jgreen closed this task as Resolved.Jun 18 2018, 10:05 PM
Jgreen claimed this task.

Done!